Subject: Fw: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Mon, 10 Dec 2012 09:01:23 -0500

Thank you,
Michael B
LLPS

From: LLPS 
Sent: Saturday, December 08, 2012 1:45 AM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Annette Sutton

E-mail Address: [email-masked]

Telephone: 907-543-1371

Message: I ordered posters from you all on behalf of the City of Bethel. I
believe I mailed it in with my credit card number. 
I never received a reciept or invoice. Could you please email me an
invoice or some kind of receipt so that I can fill out my credit card
allocation form for our Finance department. 
Thank you, 
Annette

Request generated on December 8th, 2012 at 1:45 AM EST from the IP address 12.12.115.34